Schöck
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Как поставить размер между 2-мя вьюпортами

Как поставить размер между 2-мя вьюпортами

Ответ
Поиск в этой теме
Непрочитано 18.11.2008, 12:40 #1
Как поставить размер между 2-мя вьюпортами
Witalij
 
AL-остекление, фасадка, оконка
 
Москва
Регистрация: 25.07.2007
Сообщений: 113

Чертёж в 2D.
Изображен один вид детали на 2-х вьюпортах - ставлю в простр. листа размер с привязками в одном вьюпорте - ставит значение размера из пространства модели. Как только размер привязывается к точкам в разных вьюпортах - ставится длина размера в листе - нахрен она не нужна.
Можно что-нибудь в таком случае изменить?
P.S. Подобные темы читал - может, есть ещё варианты, кроме уже изложенных?
__________________
Фасадку черчу...

Последний раз редактировалось Witalij, 18.11.2008 в 12:48.
Просмотров: 3845
 
Непрочитано 18.11.2008, 13:04
#2
BM60


 
Регистрация: 08.02.2008
Где-то
Сообщений: 8,466


А на вкладке листа какой режим отображается, лист или модель? Рамка вьюпорта жирная? Если да, то размер в пространстве модели. Если тонкая (Лист на кнопе внизу) - размер будет в пространстве листа и на том месте, где и проставлен.
Этих тем ну очень много, почитайте еще разок. Статья Владимира Света описывает все по шагам. Тут недалеко была ссылка на нее.
BM60 вне форума  
 
Непрочитано 18.11.2008, 13:48
#3
skif58

Наше дело труба
 
Регистрация: 19.11.2006
Томск_Комсомольск-на-Амуре
Сообщений: 1,742
<phrase 1= Отправить сообщение для skif58 с помощью Yahoo Отправить сообщение для skif58 с помощью Skype™


http://forum.dwg.ru/showthread.php?t=25804
__________________
*...И Случай, бог изобретатель. *
skif58 вне форума  
 
Автор темы   Непрочитано 18.11.2008, 14:17
#4
Witalij

AL-остекление, фасадка, оконка
 
Регистрация: 25.07.2007
Москва
Сообщений: 113
<phrase 1=


Цитата:
Сообщение от BM60 Посмотреть сообщение
А на вкладке листа какой режим отображается, лист или модель? Рамка вьюпорта жирная? Если да, то размер в пространстве модели. Если тонкая (Лист на кнопе внизу) - размер будет в пространстве листа и на том месте, где и проставлен.
Этих тем ну очень много, почитайте еще разок. Статья Владимира Света описывает все по шагам. Тут недалеко была ссылка на нее.
Мне нужно в листе поставить размер между 2-мя вьюпортами. При этом я не хочу перебивать значения размера вручную...
А что за статья? Дайте, плиз, ссылку.
__________________
Фасадку черчу...
Witalij вне форума  
 
Автор темы   Непрочитано 18.11.2008, 14:18
#5
Witalij

AL-остекление, фасадка, оконка
 
Регистрация: 25.07.2007
Москва
Сообщений: 113
<phrase 1=


Цитата:
Сообщение от skif58 Посмотреть сообщение
Читал уже - там нет решения моей проблемы...
Я боюсь, тут только с помощью лиспа можно справиться...
__________________
Фасадку черчу...
Witalij вне форума  
 
Непрочитано 18.11.2008, 15:37
#6
BM60


 
Регистрация: 08.02.2008
Где-то
Сообщений: 8,466


Бояться не надо. Искать надо.
В строке поиска лист, paper видовой экран, вьюпорт. Кнопка "искать в сообщениях"!!!, хотя и "в заголовках" много чего будет.

Но поскольку уточненный вопрос звучит не так, как его понял, то:
1. первый раз слышу, чтоб ставили размер между вьюпортами (не обессудьте)
2. зачем ставить такой размер, если вьюпорт это рамка, в которой видно только что-то из пространства модели (вид или часть вида или часть части модели)?

Статья называется "Простанство листа и пространство модели для двухмерного черчения" и полезно очень сильное ее обсуждение
BM60 вне форума  
 
Непрочитано 18.11.2008, 15:47
#7
Хмурый


 
Регистрация: 29.10.2004
СПб
Сообщений: 16,220


Цитата:
Сообщение от BM60 Посмотреть сообщение
1. первый раз слышу, чтоб ставили размер между вьюпортами (не обессудьте)
2. зачем ставить такой размер, если вьюпорт это рамка, в которой видно только что-то из пространства модели (вид или часть вида или часть части модели)?
Размер между двумя видовыми экранами проставляется в случае образмеривания длинных объектов, когда их нельзя отобразить в мелком масштабе (например сливаются отдельные элементы). При этом: один видовой экран- один конец объекта, второй видовой экран- другой конец.
Миниатюры
Нажмите на изображение для увеличения
Название: SPXImage1423.jpg
Просмотров: 119
Размер:	20.1 Кб
ID:	12355  
Хмурый вне форума  
 
Непрочитано 18.11.2008, 16:43
#8
BM60


 
Регистрация: 08.02.2008
Где-то
Сообщений: 8,466


Дык тогда и вопрос нужно было сформулировать типа два участка длинного "вала" показаны на двух ВЭ, как показать общий размер" Примерно бы так.
Тогда ставится как отче наш при обоих неактивных ВЭ в Плиста. У меня, напр., так вышло в 2005-ом
BM60 вне форума  
 
Автор темы   Непрочитано 18.11.2008, 16:47
#9
Witalij

AL-остекление, фасадка, оконка
 
Регистрация: 25.07.2007
Москва
Сообщений: 113
<phrase 1=


Цитата:
Сообщение от Хмурый Посмотреть сообщение
Размер между двумя видовыми экранами проставляется в случае образмеривания длинных объектов, когда их нельзя отобразить в мелком масштабе (например сливаются отдельные элементы). При этом: один видовой экран- один конец объекта, второй видовой экран- другой конец.
Совершенно верно... Только у меня не вал, а фасадная стойка длиной 6 м., шириной 60 мм с вырезами.
__________________
Фасадку черчу...
Witalij вне форума  
 
Непрочитано 21.11.2008, 07:29
#10
shnn

Инженер
 
Регистрация: 18.02.2005
Самара
Сообщений: 756


Цитата:
Сообщение от BM60 Посмотреть сообщение
Тогда ставится как отче наш при обоих неактивных ВЭ в Плиста. У меня, напр., так вышло в 2005-ом
Ничего не понимаю... не ставиться... единственный вариант это ставить в модели и сдвинуть текст размера чтобы он попал в один из ВЭ.

>Хмурый
А у тебя точно не перебит размер?
shnn вне форума  
 
Непрочитано 21.11.2008, 09:12
#11
Хмурый


 
Регистрация: 29.10.2004
СПб
Сообщений: 16,220


shnn, у меня размер проставлен от руки точно. неточно- не делаю.
Хмурый вне форума  
 
Непрочитано 21.11.2008, 10:08
#12
skif58

Наше дело труба
 
Регистрация: 19.11.2006
Томск_Комсомольск-на-Амуре
Сообщений: 1,742
<phrase 1= Отправить сообщение для skif58 с помощью Yahoo Отправить сообщение для skif58 с помощью Skype™


Цитата:
Сообщение от shnn Посмотреть сообщение
Ничего не понимаю... не ставиться... единственный вариант это ставить в модели и сдвинуть текст размера чтобы он попал в один из ВЭ.
И не должен ставиться.
Ведь бумага с ВЭ не может сама адаптироваться под реальный размер объекта в Модели, произвольное размещение этих ВЭ и их ПАН и ЗУМ.
Единственный вариант, кроме нормальной перебивки текста, имхо, такой:
- задать размер бумаги под реальный размер стойки
- разместить на этой бумаге в реальном масштабе Модели, одинаково панорамированные и масштабированные ВЭ
- поставить требуемый реальный размер и радостно отправить этот лист на печать в масштабе соотношения к бумаге принтера.

Вот как бы это выглядело:
Вложения
Тип файла: dwg
DWG 2004
Размер_на_2VP.dwg (44.6 Кб, 864 просмотров)
__________________
*...И Случай, бог изобретатель. *
skif58 вне форума  
 
Непрочитано 21.11.2008, 12:09
#13
shnn

Инженер
 
Регистрация: 18.02.2005
Самара
Сообщений: 756


Цитата:
Сообщение от skif58 Посмотреть сообщение
И не должен ставиться.
Ведь бумага с ВЭ не может сама адаптироваться под реальный размер объекта в Модели, произвольное размещение этих ВЭ и их ПАН и ЗУМ.
Единственный вариант, кроме нормальной перебивки текста, имхо, такой:
- задать размер бумаги под реальный размер стойки
- разместить на этой бумаге в реальном масштабе Модели, одинаково панорамированные и масштабированные ВЭ
- поставить требуемый реальный размер и радостно отправить этот лист на печать в масштабе соотношения к бумаге принтера.

Вот как бы это выглядело:
Я знаю что не должен... просто подумал может чего не знаю, а тут вовсю обсуждают, вот и уточнил. Спасибо.
shnn вне форума  
 
Непрочитано 21.11.2008, 16:26
#14
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,843


Цитата:
Сообщение от Witalij Посмотреть сообщение
Читал уже - там нет решения моей проблемы...
Я боюсь, тут только с помощью лиспа можно справиться...
Ну лисп так лисп, предупреждаю сразу свеженаписанный - не гонял, видовые экраны не прямоугольной формы не обрабатывает, все размеры перисчитывает как паралельные (то есть показывает расстояние между указанными точками в модели), считает в единицах модели (переменные типа dimlfac и пр. не обрабатывет). Принцип такой начертил размеры между вьюпортами - запустил lisp (команда rsize) - лисп их пересчитал и исправил.
Код:
[Выделить все]
(vl-load-com )
(defun c:rsize ( / )
(princ "Выберите размеры ")
(foreach tmp (sstolist (ssget (list (cons 0 "DIMENSION")))) (1size tmp))
(princ)
);end of rsize

(defun 1size ( size / ss sl sr)
(setq	ss (sstolist (ssget "_x" (list (cons 0 "viewport"))))
	sl (car (vl-remove-if-not '(lambda (vp) (ptinvp (cdr (assoc 13 (entget size))) vp)) ss))
	sr (car (vl-remove-if-not '(lambda (vp) (ptinvp (cdr (assoc 14 (entget size))) vp)) ss))
);end of setq
(entmod (subst (cons 1 (rtos (calcsize size sl sr))) (assoc 1 (entget size)) (entget size)))
);end of 1size

(defun sstolist (ss / i lst); конвертирует набор в список
(setq i 0)
(if ss
(repeat (sslength ss)
(setq lst (append lst (list (ssname ss i))) i (1+ i))
));end of repeat & if
lst
);end of sstolist

(defun ptinvp (pt vp / pt1 pt2 pt3 pt4);находться ли точка pt в окне vp
(setq	vp (entget vp)
	pt1 (list (- (cadr (assoc 10 vp)) (/ (cdr (assoc 40 vp)) 2.0)) 
		(+ (caddr (assoc 10 vp)) (/ (cdr (assoc 41 vp)) 2.0)))
	pt2 (list (+ (cadr (assoc 10 vp)) (/ (cdr (assoc 40 vp)) 2.0)) 
		(+ (caddr (assoc 10 vp)) (/ (cdr (assoc 41 vp)) 2.0)))
	pt3 (list (- (cadr (assoc 10 vp)) (/ (cdr (assoc 40 vp)) 2.0)) 
		(- (caddr (assoc 10 vp)) (/ (cdr (assoc 41 vp)) 2.0)))
	pt4 (list (+ (cadr (assoc 10 vp)) (/ (cdr (assoc 40 vp)) 2.0)) 
		(- (caddr (assoc 10 vp)) (/ (cdr (assoc 41 vp)) 2.0)))
);end of setq
(and	(>= (car pt) (car pt1))
	(>= (cadr pt1) (cadr pt))
	(>= (car pt2) (car pt))
	(>= (cadr pt2) (cadr pt))
	(>= (car pt) (car pt3))
	(>= (cadr pt) (cadr pt3))		  
	(>= (car pt4) (car pt))
	(>= (cadr pt) (cadr pt4))		  
);end of and
);end of ptinvp

(defun calcsize (size vp1 vp2 / x1 x2 pt1 pt2 scalevp1 scalevp2)
(setq	size (entget size)
	vp1 (entget vp1)
	vp2 (entget vp2)
	scalevp1 (/ (cdr (assoc 45 vp1)) (cdr (assoc 41 vp1)))
	scalevp2 (/ (cdr (assoc 45 vp2)) (cdr (assoc 41 vp2)))
	sizept1 (cdr (assoc 13 size))
	sizept2 (cdr (assoc 14 size))
	vpdpt1 (cdr (assoc 10 vp1))
	vpmpt1 (cdr (assoc 12 vp1))
	vpdpt2 (cdr (assoc 10 vp2))
	vpmpt2 (cdr (assoc 12 vp2))	
	x1 (polar vpmpt1 (angle vpdpt1 sizept1) (* (distance vpdpt1 sizept1) scalevp1))
	x2 (polar vpmpt2 (angle vpdpt2 sizept2) (* (distance vpdpt2 sizept2) scalevp2))
);end of setq
(distance x1 x2)
);end of calcsize
(princ "Запускать комндой rsize")
(princ)
__________________
Когда в руках молоток все вокруг кажется гвоздями.
Дима_ вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Как поставить размер между 2-мя вьюпортами

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Как построить среднюю линию между непараллельными? vigold AutoCAD 51 06.02.2019 23:44
Большой размер файла, как от этого избавиться? Pac AutoCAD 51 10.12.2015 14:09
Мониторы LCD CRT Разное 94 17.06.2008 10:51
SW: Вертикальный размер между отв. расп. по диагонали Creator SolidWorks 3 10.04.2008 13:38